Subject: Re: [PATCH] arm64: cpufeature: Don't treat granule sizes as strict

From: Kevin Hilman <[email-masked]>
Date: Mon, 12 Aug 2019 13:57:45 -0700

Will Deacon <[email-masked]> writes:

> If a CPU doesn't support the page size for which the kernel is
> configured, then we will complain and refuse to bring it online. For
> secondary CPUs (and the boot CPU on a system booting with EFI), we will
> also print an error identifying the mismatch.
>
> Consequently, the only time that the cpufeature code can detect a
> granule size mismatch is for a granule other than the one that is
> currently being used. Although we would rather such systems didn't
> exist, we've unfortunately lost that battle and Kevin reports that
> on his amlogic S922X (odroid-n2 board) we end up warning and taining
> with defconfig because 16k pages are not supported by all of the CPUs.
>
> In such a situation, we don't actually care about the feature mismatch,
> particularly now that KVM only exposes the sanitised view of the CPU
> registers. Treat the granule fields as non-strict and let Kevin run
> without a tainted kernel.
>
> Cc: Mark Rutland <[email-masked]>
> Cc: Marc Zyngier <[email-masked]>
> Cc: Suzuki Poulose <[email-masked]>
> Cc: Catalin Marinas <[email-masked]>
> Reported-by: Kevin Hilman <[email-masked]>
> Signed-off-by: Will Deacon <[email-masked]>

Tested-by: Kevin Hilman <[email-masked]>

Thanks for the fix Will!

Kevin

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel